Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# LocationClient.OnAddGeofencesResultListener

com.google.android.gms.location.LocationClient.OnAddGeofencesResultListener

## Class Overview

The listener for receiving callbacks when the operation to add geofences completes.

## Summary

Public Methods
abstract void | onAddGeofencesResult(int statusCode, String[] geofenceRequestIds) Called when the `addGeofences(List, PendingIntent, OnAddGeofencesResultListener)` operation completes successfully or unsuccessfully.

## Public Methods

#### public abstract void onAddGeofencesResult (int statusCode, String[] geofenceRequestIds)

Called when the `addGeofences(List, PendingIntent, OnAddGeofencesResultListener)` operation completes successfully or unsuccessfully.

##### Parameters

statusCode | the status code of the addGeofences operation. Possible status code `SUCCESS`, `GEOFENCE_TOO_MANY_GEOFENCES`, `GEOFENCE_TOO_MANY_PENDING_INTENTS`, `GEOFENCE_NOT_AVAILABLE` and `ERROR`.
geofenceRequestIds | the list of geofence request IDs extracted from the `List<Geofence>` provided to the original `addGeofences(List, PendingIntent, OnAddGeofencesResultListener)` call